/* ccdef.h - convention card definitions.
 *
 *
 ! Copyright (C) 1990-1992 by Matthew Clegg.  All Rights Reserved
 ! 
 ! OKbridge is made available as a free service to the Internet.
 ! Accordingly, the following restrictions are placed on its use:
 ! 
 ! 1.  OKbridge may not be modified in any way without the explicit 
 !     permission of Matthew Clegg.  
 ! 
 ! 2.  OKbridge may not be used in any way for commercial advantage.
 !     It may not be placed on for-profit networks or on for-profit
 !     computer systems.  It may not be bundled as part of a package
 !     or service provided by a for-profit organization.
 ! 
 ! If you have questions about restrictions on the use of OKbridge,
 ! write to mclegg@cs.ucsd.edu.
 ! 
 ! DISCLAIMER:  The user of OKbridge accepts full responsibility for any
 ! damage which may be caused by OKbridge.
 *
 * This module written by Jonathan Segal, and is donated to the okbridge
 * elder (i.e. Matt Clegg) to do with as he will.
 *
 * Thanks to Barry Margolin for providing a patch to allow for
 * pre-defined convention cards.
 */

/* The following is a list of predefined convention cards.  You may modify
   this list as you please to provide predefined cc's for your site.
*/

typedef struct cc_descriptor_struct {
  char *ccname;   /* name of the convention card. */
  char *ccvalue;  /* the list of conventions. */
} cc_descriptor;

#ifdef CC_C
cc_descriptor built_in_ccs[] = {
  {"SA", "5cm 1NT:15-7 Stm Wk2 Blk Ger Ltnr GSF Unu2N StrCue SOS"},
  {"SA-YC", "SA 5cm Lmt J2N 1NT:15-17 Stm JXF Ger Wk2/RONF Mic/U2N -X:2S SOS"},
  {NULL, NULL}
  };
#else
extern cc_descriptor built_in_ccs[];
#endif

extern void Init_CCs ();
/* Initializes the convention card table. */

extern cc_descriptor *Find_CC ();
/* cc_descriptor *Find_CC (char *name); */
/* Searches the CC table for one with a matching name.  If found, returns a
   pointer to the descriptor for the CC.  Otherwise, returns NULL. */

extern int Add_CC ();
/* void Add_CC (char *name, char *value); */
/* Adds a new CC to the CC table.  If a CC with the given name already
   exists, then its value (list of conventions) is updated.
*/

extern void Display_All_CCs ();
/* void Display_All_CCs (void (*display) () ); */
/* For each CC in the CC table, calls the display routine with a formatted
   version of that CC as a parameter. */

extern void Write_CCs ();
/* void Write_CCs (FILE *fp); */
/* For each CC in the CC table, writes a CCDEF line to the file fp
   which denotes the CC.
*/

